/************************************************** CARS (SAMOCHODY) **************************************************/
.cars-intro {
    height: 90vh;
    display: flex;
    justify-content: center;
    align-items: center;
	line-height:1.5;
}
.vrcdivsearch.vrcdivsearchmodule.vrc-searchmod-wrap-hybrid {padding: 0;}
.vrcdivsearch.vrcdivsearchmodule.vrc-searchmod-wrap-hybrid form {
    border-radius: 20px;
    padding: 20px;
}
.cars-search-col img {
    width: 100%;
    height: 300px;
    border-radius: 20px;
	object-fit:cover;
	margin-top:30px;
}
.cars-service-item {
	margin-bottom: 100px;
	padding:0 50px;
}
.cars-service-item img {
    border-radius: 30px;
    width: auto;
    height: 200px;
}
.cars-service-item h3 {
	font-size:40px;
	font-weight:900;
}

.cars-step-rental-item {
    padding: 50px;
}
.cars-step-rental-item h2 {
	padding: 20px;
    background-color: #F7FFBB;
    border-radius: 20px;
    width: 100px;
    height: 100px;
    display: flex;
    margin: 0 auto 30px;
    justify-content: center;
    align-items: center;
}
.cars-step-rental h2.heading2 {
	width:75%;
	display:block;
	margin:0 auto;
}

.cars-rules img {
    width: 100%;
    height: auto;
}
.cars-rules-list li {
    padding: 20px 0;
    border-top: 2px solid;
}

.cars-form form{
    background-color: black !important;
    border: none !important;
}
.cars-form button.vrcsearch {
    background-color: var(--orange) !important;
    border-radius: 30px;
    color: white;
    padding: 10px;
}
.cars-form .vrcsfentrydate,
.cars-form select,
.cars-form input {
    border-radius: 10px !important;
    height: 50px !important;
    border: none !important;
}
.vrcsfentrylabsel {margin-bottom: 10px !important;}

.vrc-searchmod-wrap-hybrid .vrc-searchmod-section-datetimes .vrcsfentrycont .vrcsfentrylabsel,
.vrcdivsearch .vrcsfentrylabsel .vrcsfentrydate i {margin: 0;}


.vrcmodcarsgridcont-items {
    gap: 10px;
    flex-wrap: nowrap !important;
}
.vrc-modcars-item {
    border-radius: 15px;
    box-shadow: 0px 1.75px 8.77px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 0.88px 1.75px 0px rgba(0, 0, 0, 0.04);
    overflow: hidden;
}
.vrcmodcarsgridcont-item {padding: 0 !important;}
.vrc-modcars-item img {
    width: 100%;
    height: auto;
}
.vrcmodcarsgridboxdiv {
    transform: none !important;
    border: none !important;
}
.vrcmodcarsgrid-box-cost {text-align: left !important;}
.vrcmodcarsgridview {display: none;}

.vrcdivsearch.vrcdivsearchmodule.vrc-searchmod-wrap-hybrid form,
.vrcdivsearch.vrcdivsearchmodule.vrc-searchmod-wrap-hybrid{
    background-color: transparent;
    border: none;
    padding: 0;
}

.vrcsearch {
    background-color: var(--orange);
    border-radius: 10px;
    color: var(--light_cream) !important;
}

.page-samochody .vrcmodcarsgridcont-item img {
	height:250px;
	width:auto;
	object-fit:cover;
}

/* GRID LAYOUT */
.page-our-cars {
	background-color:#f6fadf;
	padding:150px 0;
}
.vrc-cardetails-legend,
.vrc-avcals-container {background-color:white;}
.vrc-search-results-block-grid .car_result img {width:100%;}
.vrclegendediv {margin: 20px 0 0 0 !important;}
.vrc-cardetails-legend,
.vrc-avcals-container {padding:20px;}

.vrc-car-result-description {
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

/* SINGLE CARS ??? */
.cars-list .vrc-car-name {font-size:30px;}
.cars-list .vrc-cdetails-cost {
	border:1px solid var(--orange) !important;
	background-color:var(--light_cream) !important;
	border-radius:10px;
}
.cars-list .vrc-cdetails-img img {border-radius:15px;}

/* SEARCH FORM */
.page-search-your-car {
	padding:150px;
	background-color:#DEE3BB;
}

.vrclocationsbox {display: none;}
.page-search-your-car .vrcdivsearch {
    background-color: var(--light_cream) !important;
    border: 1px solid var(--orange)!important;
    border-radius: 20px;
    padding: 30px !important;
	margin-top:20px;
}
.vrcsfentrysubmit .vrcdetbooksubmit, .vrc-search-btn {
	background-color:var(--orange) !important;
	color:var(--light_cream) !important;
	padding:10px 0;
	border-radius:10px;
}

.vrc-step {background-color: black;}
.vrcstepsbarcont .vrc-stepbar li:after {border-left-color:black;}

.vrc-step-current {background-color:var(--light_cream);}
.vrcstepsbarcont .vrc-stepbar li.vrc-step-current:after {border-left-color:var(--light_cream);}
.vrcstepsbarcont .vrc-stepbar li.vrc-step-current > *:before {
	background-color:var(--orange);
	border-color:var(--orange);
}
.vrc-step-next span {color:var(--light_cream);}
.vrcstepsbarcont .vrc-stepbar > li > *:before {
    color: lightgray;
    border-color:lightgray;
}
.vrc-itinerary-summary {
	background-color:var(--light_cream);
	border:1px solid var(--orange);
}

.vrc-stepbar {border:1px solid black !important;}

.vrc-search-results-block-list {
	display:grid;
	grid-template-columns:repeat(3, 1fr);
	gap:20px;
	margin:20px 0;
}
.car_result {
	flex-direction: column;
    box-shadow: 0px 1.75px 8.77px 0px rgba(0, 0, 0, 0.1);
    border: none;
    border-radius: 20px;
    overflow: hidden;
	background-color:white;
	height:max-content;
}
.vrc-car-result-right {max-height:max-content;}
.vrc-car-result-rightinner {height:max-content;}
.vrc-car-result-left {padding:0;}
.vrc-car-result-left img {
	width:100%;
	height:300px;
	object-fit:cover;
}
.vrc-car-name {margin-bottom:10px;}
.vrc-car-category {
	font-weight:600;
	color:var(--orange);
}
.vrc-car-result-rightinner-deep {
	flex-direction: column;
	height:100%;
}
.vrc-car-result-inner {
	max-height:220px;
	min-height:220px !important;
}
.vrcstartfrom {margin:0;}

.vrc-car-lastblock {
    display: flex;
    justify-content: space-between;
}
.page-search-your-car .booknow {
	background-color:var(--orange);
	border-radius:50px;
	color:var(--light_cream);
	padding:10px 50px;
	margin:0;
}
.page-search-your-car .booknow:hover {background-color:var(--green);}

.vrc-showprc-right img {width:100%;}

.vrc-showprc-options-inner {
	display: grid;
    border: none !important;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}
.vrc-showprc-price-row.vrc-showprc-price-selected {
    border: 1px solid var(--orange) !important;
    background-color: var(--light_cream);
    font-size: 16px;
}

.vrc-showprc-option-row {
    border: none !important;
    background-color: var(--orange);
    border-radius: 10px;
    padding: 10px 20px !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
    color: var(--light_cream);
    font-weight: 400 !important;
}
.vrc-showprc-option-row * {font-weight:400;}
.vrc-showprc-option-row input[type="checkbox"] {accent-color:var(--light_cream);}

.vrc-goback-block {margin:0;}
.vrc-goback-block a {
	padding: 10px 50px;
	background-color:lightgray;
	color:grey;
	border-radius:20px;
}

/* STEP 4 */
.vrcrentforlocs {
    background-color: white;
    margin: 0;
    border-radius: 0;
    border: none;
}
.vrc-summary-car-img {padding:0;}
.vrc-enterpin-block {display:none;}
.vrc-coupon-outer {margin:0;}

.vrc-oconfirm-summary-car-wrapper,
.vrccustomfields {
    background-color: white;
    border: none;
    border-radius: 10px;
}
.vrcinfocarcontainer {
    border-radius: 10px !important;
    overflow: hidden;
}
.vrc-coupon-outer {
    border: none;
    border-radius: 10px;
}
.vrc-oconfirm-footer {margin-top:20px;}

.vrcdivcustomfield.vrc-oconfirm-cfield-entry-checkbox {
    display: flex;
    align-items: center;
    gap: 10px;
}

.vrc-oconfirm-summary-total-wrapper {display:none;}

.successmade + br + p {
    display: none;
}

/* REMOVED SOME FORM FIELDS FROM CARS FORM. USED :nth-child() SINCE THE ELEMENTS DIDNT HAD ANY SPECIFIC CLASS */
.vrccustomfields :nth-child(6),
.vrccustomfields :nth-child(7),
.vrccustomfields :nth-child(8) {display:none;}

/************************************************** OPTIMIZATION **************************************************/

@media (max-width: 1600px) {
	.cars-search-col img {
		height:300px;
		object-fit:cover;
	}
	.cars-intro {
		height:100vh;
		padding:150px 0;
		display:block;
	}
}

@media (max-width: 1200px) {}

@media (max-width: 991px) {}

@media (max-width: 768px) {
	.page-search-your-car {padding:20px;}
	.vrc-search-results-block-list {grid-template-columns:1fr;}
	.car_result {flex-direction:unset;}
	.vrc-car-result-inner {
		width:100% !important;
		padding:20px !important;
	}
/* 	.vrc-car-result-description {
		max-height:100px;
		overflow:hidden;
	} */
	.car_buttons_box {
		display: flex;
		flex-direction: row-reverse;
	}
	.vrc-showprc-options-inner {grid-template-columns:1fr;}
}

@media (max-width: 600px) {
	.cars-intro {
		height:100%;
		padding:20px 10px;
	}
	.cars-intro figure {position:relative !important;}
	.page-our-cars {padding: 50px 0;}
	.vrc-cdetails-cinfo {gap:20px;}
	
	.cars-service-items {margin-top:50px;}
	.cars-service-item {
		margin-bottom:20px;
		padding:10px;
	}
	.cars-service-item:nth-child(even) .wp-block-column:first-child,
	.cars-service-item:nth-child(odd) .wp-block-column:last-child,
	.cars-service-item img,
	.cars-section-2 .wp-block-spacer {display:none !important;}
	
	.vrcmodcarsgridcont-items {
		gap:20px;
		flex-wrap:wrap !important;
	}
	.page-samochody .vrcmodcarsgridcont-item img {
		height: auto;
		width: 100%;
	}
	.vrc-summary-car-img {margin:0}
	
}